# FileTransfer (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.xfer
Interface FileTransfer

All Known Implementing Classes:
  SCPFileTransfer, SFTPFileTransfer

    public interface FileTransfer

Method Summary
`void` `download(String remotePath, LocalDestFile localFile)`
`void` `download(String remotePath, String localPath)`
`TransferListener` `getTransferListener()`
`void` `setTransferListener(TransferListener listener)`
`void` `upload(LocalSourceFile localFile, String remotePath)`
`void` `upload(String localPath, String remotePath)`

Method Detail

### upload

    void upload(String localPath,
                String remotePath)
                throws IOException

  Throws:
    `IOException`

### download

    void download(String remotePath,
                  String localPath)
                  throws IOException

  Throws:
    `IOException`

### upload

    void upload(LocalSourceFile localFile,
                String remotePath)
                throws IOException

  Throws:
    `IOException`

### download

    void download(String remotePath,
                  LocalDestFile localFile)
                  throws IOException

  Throws:
    `IOException`

### getTransferListener

    TransferListener getTransferListener()

### setTransferListener

    void setTransferListener(TransferListener listener)

Copyright © 2009-2011. All Rights Reserved.